# Enterprises: completeSignup

> [!NOTE]
> **Note:** Requires [authorization](https://developers.google.com/android/work/play/emm-api/v1/enterprises/completeSignup#auth).

Completes the signup flow, by specifying the Completion token and
Enterprise token.
This request must not be called multiple times for a given Enterprise
Token.

## Request

### HTTP request

```
POST https://www.googleapis.com/androidenterprise/v1/enterprises/completeSignup
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Optional query parameters** |||
| `completionToken` | `string` | The Completion token initially returned by GenerateSignupUrl. |
| `enterpriseToken` | `string` | The Enterprise token appended to the Callback URL. |

### Authorization

This request requires authorization with the following scope:

| Scope |
|---|
| `https://www.googleapis.com/auth/androidenterprise` |

For more information, see the [authentication and authorization](https://developers.google.com/android/work/play/emm-api/v1/how-tos/authorizing) page.

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns an [Enterprises resource](https://developers.google.com/android/work/play/emm-api/v1/enterprises#resource) in the response body.